local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local TECH = GLOBAL.TECH
local STRINGS = GLOBAL.STRINGS
local GROUND = GLOBAL.GROUND
local require = GLOBAL.require

-- [[ Prefabs ]]
PrefabFiles = 
{
	"adai_placer.lua",
	"adai_houndbone_piece.lua", 
	"adai_scorched_skeleton.lua", 
}

-- [[ Images ]]
Assets = 
{	
	Asset("ATLAS", "images/adai_cactus.xml"),
	Asset("IMAGE", "images/adai_cactus.tex"),

	Asset("ATLAS", "images/adai_oasis_cactus.xml"),
	Asset("IMAGE", "images/adai_oasis_cactus.tex"),

	Asset("ATLAS", "images/adai_desert_tab.xml"),
	Asset("IMAGE", "images/adai_desert_tab.tex"),

	Asset("ATLAS", "images/adai_houndbone_piece1.xml"),
	Asset("IMAGE", "images/adai_houndbone_piece1.tex"),

	Asset("ATLAS", "images/adai_houndbone_piece2.xml"),
	Asset("IMAGE", "images/adai_houndbone_piece2.tex"),

	Asset("ATLAS", "images/adai_houndbone_piece3.xml"),
	Asset("IMAGE", "images/adai_houndbone_piece3.tex"),

	Asset("ATLAS", "images/adai_marsh_tree.xml"),
	Asset("IMAGE", "images/adai_marsh_tree.tex"),

	Asset("ATLAS", "images/adai_marsh_bush.xml"),
	Asset("IMAGE", "images/adai_marsh_bush.tex"),

	Asset("ATLAS", "images/adai_burnt_marsh_bush.xml"),
	Asset("IMAGE", "images/adai_burnt_marsh_bush.tex"),

	Asset("ATLAS", "images/adai_rock_flintless.xml"),
	Asset("IMAGE", "images/adai_rock_flintless.tex"),

	Asset("ATLAS", "images/adai_rock1.xml"),
	Asset("IMAGE", "images/adai_rock1.tex"),

	Asset("ATLAS", "images/adai_rock2.xml"),
	Asset("IMAGE", "images/adai_rock2.tex"),

	Asset("ATLAS", "images/adai_scorched_skeleton.xml"),
	Asset("IMAGE", "images/adai_scorched_skeleton.tex"),

	Asset("ATLAS", "images/adai_tumbleweed.xml"),
	Asset("IMAGE", "images/adai_tumbleweed.tex"),	
}

modimport("scripts/adai_strings.lua")

--[[ Crafting Tab ]]
adai_desert_tab = AddRecipeTab(STRINGS.TABS.DESERT, 999, "images/adai_desert_tab.xml", "adai_desert_tab.tex", nil)

--[[ Crafts - Refine Tab ]]
AddRecipe("dug_grass", {Ingredient("cutgrass",5), Ingredient("poop",1)}, RECIPETABS.REFINE, TECH.MAGIC_TWO, 
	nil,--placer
	nil, -- min_spacing
	nil, -- nounlock
	1, -- numtogive
	nil, -- builder_tag
	"images/inventoryimages.xml", -- atlas
	"dug_grass.tex") -- image	

AddRecipe("dug_sapling", {Ingredient("twigs",5), Ingredient("poop",1)}, RECIPETABS.REFINE, TECH.MAGIC_TWO, 
	nil,--placer
	nil, -- min_spacing
	nil, -- nounlock
	1, -- numtogive
	nil, -- builder_tag
	"images/inventoryimages.xml", -- atlas
	"dug_sapling.tex") -- image	

AddRecipe("dug_berrybush", {Ingredient("berries",3), Ingredient("poop",1)}, RECIPETABS.REFINE, TECH.MAGIC_TWO, 
	nil,--placer
	nil, -- min_spacing
	nil, -- nounlock
	1, -- numtogive
	nil, -- builder_tag
	"images/inventoryimages.xml", -- atlas
	"dug_berrybush.tex") -- image	

-- Because Glermz want dug_berrybush craftable from berries and poop
-- AddRecipe("dug_berrybush", {Ingredient("dug_berrybush_juicy",1)}, RECIPETABS.REFINE, TECH.MAGIC_TWO, 
-- 	nil,--placer
-- 	nil, -- min_spacing
-- 	nil, -- nounlock
-- 	1, -- numtogive
-- 	nil, -- builder_tag
-- 	"images/inventoryimages.xml", -- atlas
-- 	"dug_berrybush.tex") -- image	

AddRecipe("dug_berrybush2", {Ingredient("dug_berrybush",1)}, RECIPETABS.REFINE, TECH.MAGIC_TWO, 
	nil,--placer
	nil, -- min_spacing
	nil, -- nounlock
	1, -- numtogive
	nil, -- builder_tag
	"images/inventoryimages.xml", -- atlas
	"dug_berrybush2.tex") -- image	

AddRecipe("dug_berrybush_juicy", {Ingredient("dug_berrybush2",1)}, RECIPETABS.REFINE, TECH.MAGIC_TWO, 
	nil,--placer
	nil, -- min_spacing
	nil, -- nounlock
	1, -- numtogive
	nil, -- builder_tag
	"images/inventoryimages.xml", -- atlas
	"dug_berrybush_juicy.tex") -- image	

--[[ Crafts - Desert Tab ]]
AddRecipe("cactus", {Ingredient("cactus_meat",5), Ingredient("poop", 3)}, adai_desert_tab, TECH.NONE, 
	"adai_cactus_placer",--placer
	1, -- min_spacing
	nil, -- nounlock
	nil, -- numtogive
	nil, -- builder_tag
	"images/adai_cactus.xml", -- atlas
	"adai_cactus.tex") -- image	

AddRecipe("oasis_cactus", {Ingredient("cactus_meat",5), Ingredient("poop", 3)}, adai_desert_tab, TECH.NONE, 
	"adai_oasis_cactus_placer",--placer
	1, -- min_spacing
	nil, -- nounlock
	nil, -- numtogive
	nil, -- builder_tag
	"images/adai_oasis_cactus.xml", -- atlas
	"adai_oasis_cactus.tex") -- image	

AddRecipe("adai_houndbone_piece1", {Ingredient("boneshard",1)}, adai_desert_tab, TECH.NONE, 
	"adai_houndbone_piece1_placer",--placer
	1, -- min_spacing
	nil, -- nounlock
	nil, -- numtogive
	nil, -- builder_tag
	"images/adai_houndbone_piece1.xml", -- atlas
	"adai_houndbone_piece1.tex") -- image	

AddRecipe("adai_houndbone_piece2", {Ingredient("boneshard",1)}, adai_desert_tab, TECH.NONE, 
	"adai_houndbone_piece2_placer",--placer
	1, -- min_spacing
	nil, -- nounlock
	nil, -- numtogive
	nil, -- builder_tag
	"images/adai_houndbone_piece2.xml", -- atlas
	"adai_houndbone_piece2.tex") -- image	

AddRecipe("adai_houndbone_piece3", {Ingredient("boneshard",1), Ingredient("houndstooth",1)}, adai_desert_tab, TECH.NONE, 
	"adai_houndbone_piece3_placer",--placer
	1, -- min_spacing
	nil, -- nounlock
	nil, -- numtogive
	nil, -- builder_tag
	"images/adai_houndbone_piece3.xml", -- atlas
	"adai_houndbone_piece3.tex") -- image	

AddRecipe("marsh_tree", {Ingredient("twigs",2), Ingredient("stinger",1)}, adai_desert_tab, TECH.NONE, 
	"adai_marsh_tree_placer",--placer
	1, -- min_spacing
	nil, -- nounlock
	nil, -- numtogive
	nil, -- builder_tag
	"images/adai_marsh_tree.xml", -- atlas
	"adai_marsh_tree.tex") -- image	

AddRecipe("marsh_bush", {Ingredient("twigs",1), Ingredient("stinger",2)}, adai_desert_tab, TECH.NONE, 
	"adai_marsh_bush_placer",--placer
	1, -- min_spacing
	nil, -- nounlock
	nil, -- numtogive
	nil, -- builder_tag
	"images/adai_marsh_bush.xml", -- atlas
	"adai_marsh_bush.tex") -- image	

AddRecipe("burnt_marsh_bush", {Ingredient("twigs",1)}, adai_desert_tab, TECH.NONE, 
	"adai_burnt_marsh_bush_placer",--placer
	1, -- min_spacing
	nil, -- nounlock
	nil, -- numtogive
	nil, -- builder_tag
	"images/adai_burnt_marsh_bush.xml", -- atlas
	"adai_burnt_marsh_bush.tex") -- image	

AddRecipe("rock_flintless", {Ingredient("rocks",5)}, adai_desert_tab, TECH.NONE, 
	"adai_rock_flintless_placer",--placer
	1, -- min_spacing
	nil, -- nounlock
	nil, -- numtogive
	nil, -- builder_tag
	"images/adai_rock_flintless.xml", -- atlas
	"adai_rock_flintless.tex") -- image	

AddRecipe("rock1", {Ingredient("rocks",3),Ingredient("nitre",2),Ingredient("flint",2)}, adai_desert_tab, TECH.NONE, 
	"adai_rock_placer",--placer
	1, -- min_spacing
	nil, -- nounlock
	nil, -- numtogive
	nil, -- builder_tag
	"images/adai_rock1.xml", -- atlas
	"adai_rock1.tex") -- image	

AddRecipe("rock2", {Ingredient("rocks",3),Ingredient("goldnugget",2),Ingredient("flint",1)}, adai_desert_tab, TECH.NONE, 
	"adai_rock2_placer",--placer
	1, -- min_spacing
	nil, -- nounlock
	nil, -- numtogive
	nil, -- builder_tag
	"images/adai_rock2.xml", -- atlas
	"adai_rock2.tex") -- image	

AddRecipe("adai_scorched_skeleton", {Ingredient("boneshard",2),Ingredient("charcoal",1)}, adai_desert_tab, TECH.NONE, 
	"adai_scorched_skeleton_placer",--placer
	1, -- min_spacing
	nil, -- nounlock
	nil, -- numtogive
	nil, -- builder_tag
	"images/adai_scorched_skeleton.xml", -- atlas
	"adai_scorched_skeleton.tex") -- image	

AddRecipe("tumbleweed", {Ingredient("twigs",2),Ingredient("cutgrass",3)}, adai_desert_tab, TECH.NONE, 
	nil,--placer
	nil, -- min_spacing
	nil, -- nounlock
	1, -- numtogive
	nil, -- builder_tag
	"images/adai_tumbleweed.xml", -- atlas
	"adai_tumbleweed.tex") -- image	

-- AddRecipe("scorchedground", {Ingredient("charcoal",1)}, adai_desert_tab, TECH.NONE, 
-- 	"adai_scorched_ground1_placer",--placer
-- 	1, -- min_spacing
-- 	nil, -- nounlock
-- 	nil, -- numtogive
-- 	nil, -- builder_tag
-- 	"images/adai_scorched_skeleton.xml", -- atlas
-- 	"adai_scorched_skeleton.tex") -- image	

local KEEP_FOOD = GetModConfigData("keep_food_on_cookpot")
-- finished food will not spoil on crock pot 
if KEEP_FOOD == 1 then
    AddPrefabPostInit("cookpot", function(inst)
        if inst.components.stewer then
            inst.components.stewer.onspoil = function() 
                inst.components.stewer.spoiltime = 1
                inst.components.stewer.targettime = GLOBAL.GetTime()
                inst.components.stewer.product_spoilage = 0
            end
        end
    end)
end